<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jljc.mapper.AmountEnergySavingMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jljc.entity.AmountEnergySaving">
        <id column="id" property="id" />
        <result column="enterprise_code" property="enterpriseCode" />
        <result column="company_name" property="companyName" />
        <result column="enterprise_contact" property="enterpriseContact" />
        <result column="enterprise_contact_phone" property="enterpriseContactPhone" />
        <result column="energy_saving_year" property="energySavingYear" />
        <result column="energy_saving_data" property="energySavingData" />
        <result column="actual_energy_savings" property="actualEnergySavings" />
        <result column="design_schedule" property="designSchedule" />
        <result column="finishing_rate" property="finishingRate" />
        <result column="excess_amount" property="excessAmount" />
        <result column="industry" property="Industry" />
        <result column="region" property="Region" />
        <result column="company_type" property="companyType" />
        <result column="userid" property="userid"/>
        <result column="update_time" property="updateTime"/>
        <result column="del_flag" property="delFlag"/>
        <result column="dept_id" property="deptId"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,enterprise_code,company_name,enterprise_contact,enterprise_contact_phone,energy_saving_year,energy_saving_data,actual_energy_savings,
        design_schedule,finishing_rate,excess_amount,industry,company_type,region, userid, update_time, del_flag, dept_id
    </sql>

</mapper>
